Name: compat-libstdc++
Version: egcs
Release: alt1

Summary: Standard C++ libraries for binary backwards compatibility
License: GPL
Group: System/Libraries
Url: http://gcc.gnu.org/
ExclusiveArch: %ix86

Source: %name-%version.tar.bz2
Obsoletes: libstdc++-compat
PreReq: gcc-common

# Automatically added by buildreq on Sat Jun 15 2002
BuildRequires: libelf-devel

%description
This package includes the old shared libraries necessary
to run C++ applications built against the libraries.

%prep
%setup -q
%ifarch %ix86
%ifnarch i386
%__ln_s i386 %_target_cpu
%endif
%endif

%build
# Munge binary compatibility C++ libraries, so that they use
# frame info registry and __frame_state_for from glibc
# instead of defining their own (by changing those symbols
# in .dynsym to SHN_UNDEF).
# FIXME: Maybe it should munge .gnu.version section too
# so that those symbols are @GLIBC_2.0, not non-versioned.
gcc $RPM_OPT_FLAGS -o symtabedit symtabedit.c -I/usr/include/libelf -lelf
for i in %_target_cpu/libstdc++*; do
	case "$i" in
		*.dummy) ;; # These are just dummy libs with DT_NEEDED entry
		sparc/*.2.8.0) ;; # This one used libc frame info stuff already
		*) ./symtabedit "$i" || exit ;;
	esac
done

%install
mkdir -p $RPM_BUILD_ROOT%_libdir
install -p -m755 %_target_cpu/* $RPM_BUILD_ROOT%_libdir/

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*

%changelog
* Sat Jun 15 2002 Dmitry V. Levin <ldv@altlinux.org> egcs-alt1
- Initial revision (based on compat-gcc-7.3-2.96.110 from rh).
